ServerEvents.recipes((event) => {
  event
    .shaped("projecte:watch_of_flowing_time", ["MGM", "OCO", "MGM"], {
      M: "projectexpansion:fading_matter",
      G: "minecraft:glowstone",
      O: "minecraft:obsidian",
      C: "minecraft:clock",
    })
    .noMirror()
    .noShrink();

  // POWER FLOWERS
  event.remove({ output: "projectexpansion:basic_power_flower" });
  event.shaped("projectexpansion:basic_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:basic_compressed_collector",
    L: "projectexpansion:basic_emc_link",
    R: "projectexpansion:basic_relay",
    S: "kubejs:botanical_shard_block",
  });
  event.remove({ output: 'projectexpansion:dark_power_flower' })
  event.shaped("projectexpansion:dark_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:dark_compressed_collector",
    L: "projectexpansion:dark_emc_link",
    R: "projectexpansion:dark_relay",
    S: "projectexpansion:basic_power_flower",
  });
  event.remove({ output: 'projectexpansion:red_power_flower' })
  event.shaped("projectexpansion:red_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:red_compressed_collector",
    L: "projectexpansion:red_emc_link",
    R: "projectexpansion:red_relay",
    S: "projectexpansion:dark_power_flower",
  });
  event.remove({ output: 'projectexpansion:magenta_power_flower' })
  event.shaped("projectexpansion:magenta_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:magenta_compressed_collector",
    L: "projectexpansion:magenta_emc_link",
    R: "projectexpansion:magenta_relay",
    S: "projectexpansion:red_power_flower",
  });
  event.remove({ output: 'projectexpansion:pink_power_flower' })
  event.shaped("projectexpansion:pink_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:pink_compressed_collector",
    L: "projectexpansion:pink_emc_link",
    R: "projectexpansion:pink_relay",
    S: "projectexpansion:magenta_power_flower",
  });
  event.remove({ output: 'projectexpansion:purple_power_flower' })
  event.shaped("projectexpansion:purple_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:purple_compressed_collector",
    L: "projectexpansion:purple_emc_link",
    R: "projectexpansion:purple_relay",
    S: "projectexpansion:pink_power_flower",
  });
  event.remove({ output: 'projectexpansion:violet_power_flower' })
  event.shaped("projectexpansion:violet_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:violet_compressed_collector",
    L: "projectexpansion:violet_emc_link",
    R: "projectexpansion:violet_relay",
    S: "projectexpansion:purple_power_flower",
  });
  event.remove({ output: 'projectexpansion:blue_power_flower' })
  event.shaped("projectexpansion:blue_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:blue_compressed_collector",
    L: "projectexpansion:blue_emc_link",
    R: "projectexpansion:blue_relay",
    S: "projectexpansion:violet_power_flower",
  });
  event.remove({output: 'projectexpansion:cyan_power_flower'})
  event.shaped("projectexpansion:cyan_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:cyan_compressed_collector",
    L: "projectexpansion:cyan_emc_link",
    R: "projectexpansion:cyan_relay",
    S: "projectexpansion:blue_power_flower",
  });
  event.remove({output: 'projectexpansion:green_power_flower'})
  event.shaped("projectexpansion:green_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:green_compressed_collector",
    L: "projectexpansion:green_emc_link",
    R: "projectexpansion:green_relay",
    S: "projectexpansion:cyan_power_flower",
  });
  event.remove({ output: 'projectexpansion:lime_power_flower' })
  event.shaped("projectexpansion:lime_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:lime_compressed_collector",
    L: "projectexpansion:lime_emc_link",
    R: "projectexpansion:lime_relay",
    S: "projectexpansion:green_power_flower",
  });
  event.remove({ output: 'projectexpansion:yellow_power_flower' })
  event.shaped("projectexpansion:yellow_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:yellow_compressed_collector",
    L: "projectexpansion:yellow_emc_link",
    R: "projectexpansion:yellow_relay",
    S: "projectexpansion:lime_power_flower",
  });
  event.remove({output: 'projectexpansion:orange_power_flower'})
  event.shaped("projectexpansion:orange_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:orange_compressed_collector",
    L: "projectexpansion:orange_emc_link",
    R: "projectexpansion:orange_relay",
    S: "projectexpansion:yellow_power_flower",
  });
  event.remove({output: 'projectexpansion:white_power_flower'})
  event.shaped("projectexpansion:white_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:white_compressed_collector",
    L: "projectexpansion:white_emc_link",
    R: "projectexpansion:white_relay",
    S: "projectexpansion:orange_power_flower",
  });
  event.remove({output: 'projectexpansion:fading_power_flower'})
  event.shaped("projectexpansion:fading_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:fading_compressed_collector",
    L: "projectexpansion:fading_emc_link",
    R: "projectexpansion:fading_relay",
    S: "projectexpansion:white_power_flower",
  });
  event.remove({output: 'projectexpansion:final_power_flower'})
  event.shaped("projectexpansion:final_power_flower", ["CLC", "SRS", "RRR"], {
    C: "projectexpansion:final_compressed_collector",
    L: "projectexpansion:final_emc_link",
    R: "projectexpansion:final_relay",
    S: "projectexpansion:fading_power_flower",
  });
});
